Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.soap.providers.ejb
Class EjbProvider

    java.lang.Object
      |
      +--oracle.soap.providers.ejb.EjbProvider

All Implemented Interfaces:
  AutonomousProvider, Provider

public class EjbProvider
extends java.lang.Object
implements AutonomousProvider

`EjbProvider` is a service provider implementation for services that are deployed Enterpise JavaBeans.

The provider implementation does the following:

- supports RPC-based invocation
- unmarshalls request parameters

This provider is thread-safe.

Field Summary
`static java.lang.String` | `PROVIDER_OPTION_IDMAP` The filename that contains the identity map to get the user identity to use in the session.
`static java.lang.String` | `PROVIDER_OPTION_INC_CONNECTIONS` The number of additional IIOP session connections to create at one time when more sessions are needed, up to the maximum allowed.
`static java.lang.String` | `PROVIDER_OPTION_MAX_CONNECTIONS` The maximum number of IIOP session connections that should be created.
`static java.lang.String` | `PROVIDER_OPTION_MIN_CONNECTIONS` The minimum number of IIOP session connections that should be created,
`static java.lang.String` | `PROVIDER_OPTION_PASSWORD` The database password for the session.
`static java.lang.String` | `PROVIDER_OPTION_ROLE` The database role for the session.
`static java.lang.String` | `PROVIDER_OPTION_SERVICEURL` The service URL used to establish a session IIOP sessConn to the database.
`static java.lang.String` | `PROVIDER_OPTION_SESSION_MULTITHREAD` Whether or not to multi-thread thru a single session connection.
`static java.lang.String` | `PROVIDER_OPTION_USERNAME` The database username for the session.

Constructor Summary
`EjbProvider()`

Method Summary
`void` | `destroy()` One-time service provider cleanup.
`java.lang.String` | `getId()` Get this provider's unique provider id.
`void` | `init(ProviderDeploymentDescriptor pd, SOAPServerContext ssc)` One-time service provider initialization.
`void` | `invoke(RequestContext rc)` Invoke the requested method in the specified service.
`boolean` | `isMine(java.lang.String serviceId)` Return an indication of whether this provider can handle the given service request.
`java.lang.String[]` | `list()` Return the list of all SOAP services that are available through this provider.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROVIDER_OPTION_SERVICEURL

    public static final java.lang.String PROVIDER_OPTION_SERVICEURL

  The service URL used to establish a session IIOP sessConn to the database. Required if the SOAP servlet is running outside of the database (obviously). May be omitted if the servlet is running inside the database (in which case, an 'in-session' sessConn is used).
  See Also:
    Constant Field Values

### PROVIDER_OPTION_USERNAME

    public static final java.lang.String PROVIDER_OPTION_USERNAME

  The database username for the session.
  See Also:
    Constant Field Values

### PROVIDER_OPTION_PASSWORD

    public static final java.lang.String PROVIDER_OPTION_PASSWORD

  The database password for the session.
  See Also:
    Constant Field Values

### PROVIDER_OPTION_ROLE

    public static final java.lang.String PROVIDER_OPTION_ROLE

  The database role for the session.
  See Also:
    Constant Field Values

### PROVIDER_OPTION_IDMAP

    public static final java.lang.String PROVIDER_OPTION_IDMAP

  The filename that contains the identity map to get the user identity to use in the session.
  See Also:
    Constant Field Values

### PROVIDER_OPTION_MIN_CONNECTIONS

    public static final java.lang.String PROVIDER_OPTION_MIN_CONNECTIONS

  The minimum number of IIOP session connections that should be created,
  See Also:
    Constant Field Values

### PROVIDER_OPTION_MAX_CONNECTIONS

    public static final java.lang.String PROVIDER_OPTION_MAX_CONNECTIONS

  The maximum number of IIOP session connections that should be created.
  See Also:
    Constant Field Values

### PROVIDER_OPTION_INC_CONNECTIONS

    public static final java.lang.String PROVIDER_OPTION_INC_CONNECTIONS

  The number of additional IIOP session connections to create at one time when more sessions are needed, up to the maximum allowed.
  See Also:
    Constant Field Values

### PROVIDER_OPTION_SESSION_MULTITHREAD

    public static final java.lang.String PROVIDER_OPTION_SESSION_MULTITHREAD

  Whether or not to multi-thread thru a single session connection.
  See Also:
    Constant Field Values

Constructor Detail

### EjbProvider

    public EjbProvider()

Method Detail

### init

    public void init(ProviderDeploymentDescriptor pd,
    SOAPServerContext ssc)
              throws SOAPException

  One-time service provider initialization. This method will be invoked by the SOAP handler exactly once before the handler makes any requests to services supported by the provider. This allows the provider to set up any provider-global context.
  Specified by:
    `init` in interface `Provider`
  Parameters:
    `pd` - The provider descriptor that contains the provider deployment information.
    `ssc` - The SOAP server context, which contains the logger for informational messages.
  Throws:
    `SOAPException` - Unable to initialize and therefore unable to provide services.
  See Also:
    `destroy()`

### destroy

    public void destroy()
                 throws SOAPException

  One-time service provider cleanup. This method will be invoked by the SOAP handler exactly once before the handler shuts down. This gives the provider the opportunity to do global cleanup, such as close sessConns.
  Specified by:
    `destroy` in interface `Provider`
  Throws:
    `SOAPException` - Unable to destroy.
  See Also:
    `init(oracle.soap.server.ProviderDeploymentDescriptor, oracle.soap.server.SOAPServerContext)`

### getId

    public java.lang.String getId()

  Get this provider's unique provider id.
  Specified by:
    `getId` in interface `Provider`
  Returns:
    This providers id, which is unique within the SOAP handler.

### invoke

    public void invoke(RequestContext rc)
                throws SOAPException

  Invoke the requested method in the specified service.
  Specified by:
    `invoke` in interface `Provider`
  Parameters:
    `rc` - The `RequestContext` that completely describes the request.
  Throws:
    `SOAPException` - Error during method invocation for any number of reasons, including user does not have permission, method does not exist.

### isMine

    public boolean isMine(java.lang.String serviceId)
                   throws SOAPException

  Return an indication of whether this provider can handle the given service request.
  Specified by:
    `isMine` in interface `AutonomousProvider`
  Parameters:
    `serviceId` - The id of the requested service.
  Throws:
    `SOAPException` - Unable to make determination.

### list

    public java.lang.String[] list()
                            throws SOAPException

  Return the list of all SOAP services that are available through this provider.
  Specified by:
    `list` in interface `AutonomousProvider`
  Returns:
    The list of SOAP service URIs.
  Throws:
    `SOAPException` - Unable to provide list.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.